curl --request GET \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'{
"campaign": {
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'{
"campaign": {
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
}